<!--智能底盘-->
<template>
  <div class="chassis-body">
    <div class="select-body">
      <div class="select-group">
        <div class="select-title">转向助力模式</div>
        <div class="slecet-warp">
          <Select
              :selectedIndex="selectedIndex.third"
              :options="selectOptions.third"
              @changeIndex="changeSelectIndex(arguments, 'third')"
          />
        </div>
      </div>
      <div class="select-group">
        <div class="select-title">制动助力模式</div>
        <div class="slecet-warp">
          <Select
              :selectedIndex="selectedIndex.fourth"
              :options="selectOptions.fourth"
              @changeIndex="changeSelectIndex(arguments, 'fourth')"
          ></Select>
        </div>
        <div class="select-switch">
          <div class="title">舒适停车</div>
          <u-switch v-model="stop" :value="stop" @input="clickSwitch"/>
        </div>
      </div>
    </div>

    <img
        :src=imgBgs[0]
        alt=""
        class="img-bg"
        v-show="this.currentBgIndex === 0"
    />

    <img
        :src=imgBgs[1]
        alt=""
        class="img-bg"
        v-show="this.currentBgIndex === 1"
    />

    <img
        :src=imgBgs[2]
        alt=""
        class="img-bg"
        v-show="this.currentBgIndex === 2"
    />

    <img
        :src=imgBgs[3]
        alt=""
        class="img-bg-small"
        v-show="this.currentBgIndex === 3"
    />

    <img
        :src=imgBgs[4]
        alt=""
        class="img-bg-small1"
        v-show="this.currentBgIndex === 4"
    />

    <svg-icon :icon-class="iconList[currentIconIndex]"
              :class="currentIconIndex > 1?'icon-large':'icon-small'"
              v-show="currentIconIndex!== -1"
    >
    </svg-icon>
  </div>
</template>

<script>
import Select from "@/components/Select.vue";
import BScroll from "better-scroll";

export default {
  name: "Chassis",
  components: {
    Select,
  },
  data() {
    return {
      imgBgs: [
        require("../../assets/images/setting/setting_car2.webp"),
        require("../../assets/images/chassis/img2.webp"),
        require("../../assets/images/chassis/img2.webp"),
        require("../../assets/images/chassis/brake_car_exercise.webp"),
        require("../../assets/images/chassis/run_car_exercise.webp"),
      ],
      iconList: [
        "ic_green",
        "ic_red",
        "set_brake_green",
         "set_brake_red",
        "set_brake_green",
       
        "ic_park",
      ],
      currentBgIndex: 0,
      currentIconIndex: 0,
      selectedIndex: {
        first: 0,
        second: 0,
        third: 0,
        fourth: 0,
      },
      selectOptions: {
        first: ["标准", "较大"],
        second: ["标准", "动态"],
        third: ["舒适", "运动"],
        fourth: ["舒适", "运动"],
      },
      stop: false,
    }
  },
  methods: {
    changeSelectIndex(index, data) {
      // console.log(index,data);
      this.selectedIndex[data] = index[0];
      if (data === "third") {
        this.currentBgIndex = index[0] === 0 ?   1 : 2;
        this.currentIconIndex = index[0] === 0 ? 0 : 1;
      }
      if (data === "fourth") {
        this.currentBgIndex = index[0] === 0 ? 3 : 4;
        this.currentIconIndex = index[0] === 0 ? 2 : 3;
      }
    },
    clickSwitch() {
      this.currentBgIndex = 0
      this.currentIconIndex = this.stop === false ? -1 : 5
    }
  }
}
</script>


<style scoped lang="scss">
.chassis-body {
  position: relative;
  height: 100%;
  width: 100%;

  .scroll-wrapper {
    width: 688px;
    height: 743px;
    overflow: hidden;
  }


  .switch-body::-webkit-scrollbar {
    display: none;
  }

  .switch-group {
    width: 694px;
    //padding: 35px 40px 43px 40px;
    box-sizing: border-box;
    margin-bottom: 34px;
    background: #ffffff;
    border-radius: 20px;

    .select-item {
      height: 70px;
    }

    .process {
      width: 606px;
      height: 64px;
    }
  }

  .img-bg {
    width: 897px;
    height: 597px;
    position: absolute;
    right: -60px;
    top: 100px;
  }
  .img-bg-small {
    height: 299px;
    position: absolute;
    right: 0;
    top: 185px;
  }
  .img-bg-small1 {
    height: 299px;
    position: absolute;
    right: -28px;
    top: 180px;
  }

  .select-body {
    width: 688px;

    .card-container {
      margin-bottom: 14px;
    }

    .select-group {
      width: 688px;
      border-radius: 16px;
      box-shadow: 0 0 10px 3px rgba(0, 0, 0, 0.09);
      background: #ffffff;
      display: flex;
      flex-direction: column;
      padding: 39px 42px 45px 44px;
      box-sizing: border-box;
      margin-bottom: 14px;

      .select-title {
        font-size: 28px;
        font-weight: 400;
        color: #090909;
        line-height: 33px;
        letter-spacing: 1px;
      }

      .slecet-warp {
        width: 602px;
        height: 68px;
        margin-top: 25px;
      }

      .select-switch {
        margin-top: 57px;
        width: 602px;
        display: flex;
        justify-content: space-between;

        .title {
          font-size: 28px;
          font-weight: 400;
          color: #090909;
          line-height: 33px;
          letter-spacing: 1px;
        }
      }
    }
  }

  .icon-small {
    position: absolute;
    width: 52px;
    height: 52px;
    right: 73px;
    top: 39px;
  }

  .icon-large {
    position: absolute;
    width: 71px;
    height: 71px;
    right: 73px;
    top: 28px;
  }

}

</style>